Debian Bug report logs - #627821
perl: FTBFS on kfreebsd-amd64: cpan/Sys-Syslog/t/syslog.t failures

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 24 May 2011 18:57:01 UTC

Severity: important

Tags: patch

Found in versions perl/5.12.3-5, perl/5.14.1-1

Fixed in versions perl/5.12.4-3, perl/5.14.1-2

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Ticket/Display.html?id=69997

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kfreebsd-amd64@buildd.debian.org:
Bug#627821; Package perl. (Tue, 24 May 2011 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to kfreebsd-amd64@buildd.debian.org. (Tue, 24 May 2011 18:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: perl: FTBFS on kfreebsd-amd64: cpan/Sys-Syslog/t/syslog.t failures
Date: Tue, 24 May 2011 21:55:16 +0300
Package: perl
Version: 5.12.3-5
Severity: important
X-Debbugs-Cc: kfreebsd-amd64@buildd.debian.org

Both 5.12.3-5 and 5.12.3-7 failed to build on fano.debian.org due
to failures in cpan/Sys-Syslog/t/syslog.t. 5.12.3-6 built fine on
fasch.debian.org.

@kfreebsd-amd64 buildd maintainers (X-Debbugs-Cc'd):

- could you please schedule a retry for perl on fasch so that this
  doesn't needlessly block 5.12.3-7 testing migration?
- would it be possible to try and build libsys-syslog-perl_0.29-1 on
  fano to see if the issue is reproducible there as well?
- does the fano syslog-ng have udp reception enabled?

See below.

5.12.3-5:

#   Failed test '[inet] syslog() should return true: '0''
#   at t/syslog.t line 166.
cpan/Sys-Syslog/t/syslog.......................................FAILED at test 142

5.12.3-7:

#   Failed test '[inet] syslog() called with level 'info' (string)'
#   at t/syslog.t line 165.
#          got: 'no connection to syslog available
#   - getservbyname failed for syslog/tcp and syslogng/tcp
#   - udp connect: nobody listening at t/syslog.t line 164
# '
#     expected: ''
cpan/Sys-Syslog/t/syslog.......................................FAILED at test 141

Christoph Egger earlier commented on the 5.12.3-5 failure:

> There's a syslog-ng running and producing output since well before the
> build.

Looking at the test code, it's testing different socket types and
skipping the tests if openlog('perl', 'ndelay', 'local0') fails with
'no connection to syslog available'. In the 'inet' case it first tries
tcp and then udp. tcp fails trivially  above because syslog/tcp and
syslogng/tcp aren't in /etc/services.

The 'ndelay' parameter is supposed to open the connection immediately.
Looking at the code and strace output on amd64, in the udp case this
happens by writing an empty string to the UDP socket with syswrite()
and then checking with select(2) if an ICMP port unreachable message
comes back.

Perhaps this works differently on kfreebsd? Some experiments with UDP
sockets on a kfreebsd porter machine are probably in order.  I'll have
to leave them for another night though.

As a data point, I see the separate libsys-syslog-perl package (which
contains a slightly newer version of Sys::Syslog) built fine on fano
against Perl 5.10.  The rebuild against Perl 5.12 was done on fasch,
so that doesn't tell us much.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#627821; Package perl. (Sun, 12 Jun 2011 05:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Sun, 12 Jun 2011 05:18:06 GMT) Full text and rfc822 format available.

Message #10 received at 627821@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 627821@bugs.debian.org
Cc: kfreebsd-amd64@buildd.debian.org
Subject: Re: Bug#627821: perl: FTBFS on kfreebsd-amd64: cpan/Sys-Syslog/t/syslog.t failures
Date: Sun, 12 Jun 2011 08:15:09 +0300
On Tue, May 24, 2011 at 09:55:16PM +0300, Niko Tyni wrote:
> Package: perl
> Version: 5.12.3-5
> Severity: important
> X-Debbugs-Cc: kfreebsd-amd64@buildd.debian.org
> 
> Both 5.12.3-5 and 5.12.3-7 failed to build on fano.debian.org due
> to failures in cpan/Sys-Syslog/t/syslog.t. 5.12.3-6 built fine on
> fasch.debian.org.
> 
> @kfreebsd-amd64 buildd maintainers (X-Debbugs-Cc'd):
> 
> - would it be possible to try and build libsys-syslog-perl_0.29-1 on
>   fano to see if the issue is reproducible there as well?
> - does the fano syslog-ng have udp reception enabled?

I see this is still a problem and kfreebsd-amd64 builds have to be
retried until some other host besides fano picks them up.

I've set up a kvm kfreebsd-amd64 installation but can't reproduce
the behaviour. 

Buildd maintainers: could you please send me the current fano syslog-ng
configuration (privately if necessary)?

Alternatively, would it be possible to get temporary access to fano to
debug this?
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#627821; Package perl. (Fri, 01 Jul 2011 09:16:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Fri, 01 Jul 2011 09:16:28 GMT) Full text and rfc822 format available.

Message #15 received at 627821@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 627821@bugs.debian.org, kfreebsd-amd64@buildd.debian.org
Subject: Re: failed kfreebsd-amd64 build of perl 5.12.4-1
Date: Fri, 1 Jul 2011 10:14:33 +0100
On Fri, Jul 01, 2011 at 12:15:14AM +0000, Debian buildds wrote:
>  * Source package: perl
>  * Version: 5.12.4-1
>  * Architecture: kfreebsd-amd64
>  * State: failed
>  * Suite: sid
>  * Builder: fano.debian.org
>  * Build log: https://buildd.debian.org/fetch.cgi?pkg=perl&arch=kfreebsd-amd64&ver=5.12.4-1&stamp=1309479190&file=log

The same problem as already discussed in #627821. Please could you
reschedule until it builds on a different machine?

Thanks,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#627821; Package perl. (Fri, 01 Jul 2011 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Fri, 01 Jul 2011 13:15:04 GMT) Full text and rfc822 format available.

Message #20 received at 627821@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 627821@bugs.debian.org, kfreebsd-amd64@buildd.debian.org
Subject: Re: failed kfreebsd-amd64 build of perl 5.12.4-1
Date: Fri, 01 Jul 2011 15:13:35 +0200
Dominic Hargreaves <dom@earth.li> writes:
> On Fri, Jul 01, 2011 at 12:15:14AM +0000, Debian buildds wrote:
>>  * Source package: perl
>>  * Version: 5.12.4-1
>>  * Architecture: kfreebsd-amd64
>>  * State: failed
>>  * Suite: sid
>>  * Builder: fano.debian.org
>>  * Build log: https://buildd.debian.org/fetch.cgi?pkg=perl&arch=kfreebsd-amd64&ver=5.12.4-1&stamp=1309479190&file=log
>
> The same problem as already discussed in #627821. Please could you
> reschedule until it builds on a different machine?

Done!

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#627821; Package perl. (Wed, 27 Jul 2011 23:48:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Wed, 27 Jul 2011 23:48:55 GMT) Full text and rfc822 format available.

Message #25 received at 627821@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: kfreebsd-amd64@buildd.debian.org, 627821@bugs.debian.org
Subject: Re: failed kfreebsd-amd64 build of perl 5.12.4-2
Date: Thu, 28 Jul 2011 00:34:11 +0100
On Wed, Jul 27, 2011 at 11:00:08PM +0000, Debian buildds wrote:
>  * Source package: perl
>  * Version: 5.12.4-2
>  * Architecture: kfreebsd-amd64
>  * State: failed
>  * Suite: sid
>  * Builder: fano.debian.org
>  * Build log: https://buildd.debian.org/fetch.cgi?pkg=perl&arch=kfreebsd-amd64&ver=5.12.4-2&stamp=1311806991&file=log

The same problem as already discussed in #627821. Please could you
reschedule until it builds on a different machine?

Thanks,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#627821; Package perl. (Thu, 28 Jul 2011 09:03:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@christoph-egger.org>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Thu, 28 Jul 2011 09:03:36 GMT) Full text and rfc822 format available.

Message #30 received at 627821@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@christoph-egger.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: kfreebsd-amd64@buildd.debian.org, 627821@bugs.debian.org
Subject: Re: failed kfreebsd-amd64 build of perl 5.12.4-2
Date: Thu, 28 Jul 2011 10:42:10 +0200
Hi!

Dominic Hargreaves <dom@earth.li> writes:
> The same problem as already discussed in #627821. Please could you
> reschedule until it builds on a different machine?

All given back.

Regards

  Christoph




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#627821; Package perl. (Tue, 02 Aug 2011 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Tue, 02 Aug 2011 15:21:03 GMT) Full text and rfc822 format available.

Message #35 received at 627821@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 627821@bugs.debian.org
Subject: Re: Bug#627821: perl: FTBFS on kfreebsd-amd64: cpan/Sys-Syslog/t/syslog.t failures
Date: Tue, 2 Aug 2011 18:16:19 +0300
[Message part 1 (text/plain, inline)]
On Tue, May 24, 2011 at 09:55:16PM +0300, Niko Tyni wrote:
> Package: perl
> Version: 5.12.3-5
> Severity: important
> X-Debbugs-Cc: kfreebsd-amd64@buildd.debian.org
> 
> Both 5.12.3-5 and 5.12.3-7 failed to build on fano.debian.org due
> to failures in cpan/Sys-Syslog/t/syslog.t. 5.12.3-6 built fine on
> fasch.debian.org.

I was finally able to reproduce this with the attached test script.

Looks like openlog() on an inet socket is racy on kfreebsd when
syslog remote reception is disabled.

On my Linux system this test succeeds all the time. On a uniprocessor
kvm kfreebsd-amd64 system with one processor I get a very occasional
single failure. However, on the same kvm kfreebsd-amd64 system with two
processors ("kvm -smp 2") about 90% or so of the test tries fail.

It would be interesting to test this on a real FreeBSD SMP system.
Will probably set up one when I find the time.
-- 
Niko Tyni   ntyni@debian.org
[s.pl (text/x-perl, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#627821; Package perl. (Wed, 03 Aug 2011 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Wed, 03 Aug 2011 19:45:06 GMT) Full text and rfc822 format available.

Message #40 received at 627821@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 627821@bugs.debian.org
Subject: Re: Bug#627821: perl: FTBFS on kfreebsd-amd64: cpan/Sys-Syslog/t/syslog.t failures
Date: Wed, 3 Aug 2011 22:42:43 +0300
[Message part 1 (text/plain, inline)]
tag 627821 patch
forwarded 627821 http://rt.cpan.org/Ticket/Display.html?id=69997
thanks

On Tue, Aug 02, 2011 at 06:16:19PM +0300, Niko Tyni wrote:
> On Tue, May 24, 2011 at 09:55:16PM +0300, Niko Tyni wrote:
> > Package: perl
> > Version: 5.12.3-5
> > Severity: important
> > X-Debbugs-Cc: kfreebsd-amd64@buildd.debian.org
> > 
> > Both 5.12.3-5 and 5.12.3-7 failed to build on fano.debian.org due
> > to failures in cpan/Sys-Syslog/t/syslog.t. 5.12.3-6 built fine on
> > fasch.debian.org.
> 
> I was finally able to reproduce this with the attached test script.
> 
> Looks like openlog() on an inet socket is racy on kfreebsd when
> syslog remote reception is disabled.

There's already a workaround in the code for this on MacOS X (which
is FreeBSD under the hood), so the attached patch should help.

I've sent more elaborate patches upstream in [rt.cpan.org #69997].
-- 
Niko Tyni   ntyni@debian.org 
[0001-Use-a-socket-timeout-on-GNU-kFreeBSD-to-catch-ICMP-p.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 03 Aug 2011 19:45:12 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://rt.cpan.org/Ticket/Display.html?id=69997'. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 03 Aug 2011 19:45:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 06 Aug 2011 15:21:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions perl/5.14.1-1. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 06 Aug 2011 15:21:09 GMT) Full text and rfc822 format available.

Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Wed, 10 Aug 2011 11:52:14 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Wed, 10 Aug 2011 11:52:15 GMT) Full text and rfc822 format available.

Message #53 received at 627821-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 627821-close@bugs.debian.org
Subject: Bug#627821: fixed in perl 5.12.4-3
Date: Wed, 10 Aug 2011 11:49:07 +0000
Source: perl
Source-Version: 5.12.4-3

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.12.4-3_all.deb
  to main/p/perl/libcgi-fast-perl_5.12.4-3_all.deb
libperl-dev_5.12.4-3_amd64.deb
  to main/p/perl/libperl-dev_5.12.4-3_amd64.deb
libperl5.12_5.12.4-3_amd64.deb
  to main/p/perl/libperl5.12_5.12.4-3_amd64.deb
perl-base_5.12.4-3_amd64.deb
  to main/p/perl/perl-base_5.12.4-3_amd64.deb
perl-debug_5.12.4-3_amd64.deb
  to main/p/perl/perl-debug_5.12.4-3_amd64.deb
perl-doc_5.12.4-3_all.deb
  to main/p/perl/perl-doc_5.12.4-3_all.deb
perl-modules_5.12.4-3_all.deb
  to main/p/perl/perl-modules_5.12.4-3_all.deb
perl_5.12.4-3.debian.tar.gz
  to main/p/perl/perl_5.12.4-3.debian.tar.gz
perl_5.12.4-3.dsc
  to main/p/perl/perl_5.12.4-3.dsc
perl_5.12.4-3_amd64.deb
  to main/p/perl/perl_5.12.4-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627821@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Aug 2011 08:16:20 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.12 libperl-dev perl
Architecture: source all amd64
Version: 5.12.4-3
Distribution: unstable
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.12 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 627821 635647
Changes: 
 perl (5.12.4-3) unstable; urgency=low
 .
   [ Dominic Hargreaves ]
   * Fix lintian error by build-depending on procps [!hurd-any] rather
     than procps | hurd (and adjust existing [!hurd-i386] to
     [!hurd-any]) (Closes: #635647)
   * Apply patch from Niko documenting the correct use of CCFLAGS in
     ExtUtils::MakeMaker (see: #628522)
   * Use a socket timeout on GNU/kFreeBSD to catch ICMP port unreachable
     messages (thanks, Niko) (Closes: #627821)
 .
   [ Niko Tyni ]
   * Improve general GNU hints, fixing build failures GNU/Hurd. Patch by
     Pino Toscano.
Checksums-Sha1: 
 d4edbb227bc093c7b5fd6dde49c9a2d27bde9e9e 1424 perl_5.12.4-3.dsc
 1d5945a6cc692e557d2a0dc78ef25af4000b432f 99001 perl_5.12.4-3.debian.tar.gz
 a7b758b85789714631cd7b9d3b6627ef42a340ca 56972 libcgi-fast-perl_5.12.4-3_all.deb
 580f593c455b1f3cb3bc5c3f94bf11c3b09fed01 7522546 perl-doc_5.12.4-3_all.deb
 7c0138e2b6cc4df40d4a8d15fdc58314eb99b1ea 4772224 perl-modules_5.12.4-3_all.deb
 3961a1915051eaef49f244a78f79a41bf09e2d8c 1487518 perl-base_5.12.4-3_amd64.deb
 b00a8cf87f8b1b173b7a25e642075b707a19d28d 6480062 perl-debug_5.12.4-3_amd64.deb
 d8925db53f4301a44017eae8b52422b203c283c3 1150 libperl5.12_5.12.4-3_amd64.deb
 98a48b79604007604f99e3a5e50f6c4b19223bed 2804456 libperl-dev_5.12.4-3_amd64.deb
 7c496860ce75eca9adc34adc10d0a6e5de7cb9ce 4234068 perl_5.12.4-3_amd64.deb
Checksums-Sha256: 
 42facdc5583ad11c16185821ae868448832caf43acf1ff6f6014b98e80a8c3bd 1424 perl_5.12.4-3.dsc
 3f0156a93890cbea2ba6470b448ca13ec8900160972e0503ed1fec437708bc55 99001 perl_5.12.4-3.debian.tar.gz
 b023652418be05360f41049c0984d927c3935d995db16620b84a3a47e2dc6649 56972 libcgi-fast-perl_5.12.4-3_all.deb
 4b548fbac9f19b5fc2ce10d4e234cb410d034d37f749c559df1e2cf738d472be 7522546 perl-doc_5.12.4-3_all.deb
 d0d6cb36ae4967a8c8c16045ecfe440b208e8bf9058af50e6850cd555e066d99 4772224 perl-modules_5.12.4-3_all.deb
 99b8bf94ec1b1cc9eebc0fecbc318af096e38e6964acac79a81c37cc2aca3f81 1487518 perl-base_5.12.4-3_amd64.deb
 f4a39167edb2ed53d1ec9b038e8a780fa6ee2032bfccfc31a6635cc31758f377 6480062 perl-debug_5.12.4-3_amd64.deb
 0769248759869f4b0479b53dc3e26d5c5fc0edcde8b3eed6c23adc6660af12dc 1150 libperl5.12_5.12.4-3_amd64.deb
 21a3a858820b0964d28431af337adf585cdc3433ab48b24e3e6d142dc9e1e4b4 2804456 libperl-dev_5.12.4-3_amd64.deb
 161bb24941f9890175203319c202038c04d7cc71c705ce1e8d6d2f0f82df5ce6 4234068 perl_5.12.4-3_amd64.deb
Files: 
 0b89be2be4ef3ef8a06fbe2b06ac1e7a 1424 perl standard perl_5.12.4-3.dsc
 566a20c2fb315b0e3dab9c41870fdade 99001 perl standard perl_5.12.4-3.debian.tar.gz
 8fb9fb03f6af98ada3cec64b7af9c028 56972 perl optional libcgi-fast-perl_5.12.4-3_all.deb
 86b2a9173c120bac162bfc1732fdeade 7522546 doc optional perl-doc_5.12.4-3_all.deb
 7cfee03fe75b8b273b7561fd23e1e6a4 4772224 perl standard perl-modules_5.12.4-3_all.deb
 61d5c3264face74ddd6325c8b1fb041a 1487518 perl required perl-base_5.12.4-3_amd64.deb
 05cf6188ffc13dc52c1c839b719144bc 6480062 debug extra perl-debug_5.12.4-3_amd64.deb
 9c8ad5d7d0f4411f85eca81fc5b37887 1150 libs optional libperl5.12_5.12.4-3_amd64.deb
 5781d813f4066e67449d04f675cf3c24 2804456 libdevel optional libperl-dev_5.12.4-3_amd64.deb
 7cec62788072c76b5c5300fa675f584d 4234068 perl standard perl_5.12.4-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5CH3YACgkQiyizGWoHLTll2ACfUZlTEKiMlbBEmcSeXNrqRpEB
Bt0An25zWm6zbjHCLWTF4hyqJm+eySJD
=YcFd
-----END PGP SIGNATURE-----





Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Thu, 11 Aug 2011 19:06:03 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Thu, 11 Aug 2011 19:06:03 GMT) Full text and rfc822 format available.

Message #58 received at 627821-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 627821-close@bugs.debian.org
Subject: Bug#627821: fixed in perl 5.14.1-2
Date: Thu, 11 Aug 2011 19:03:47 +0000
Source: perl
Source-Version: 5.14.1-2

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.14.1-2_all.deb
  to main/p/perl/libcgi-fast-perl_5.14.1-2_all.deb
libperl-dev_5.14.1-2_i386.deb
  to main/p/perl/libperl-dev_5.14.1-2_i386.deb
libperl5.14_5.14.1-2_i386.deb
  to main/p/perl/libperl5.14_5.14.1-2_i386.deb
perl-base_5.14.1-2_i386.deb
  to main/p/perl/perl-base_5.14.1-2_i386.deb
perl-debug_5.14.1-2_i386.deb
  to main/p/perl/perl-debug_5.14.1-2_i386.deb
perl-doc_5.14.1-2_all.deb
  to main/p/perl/perl-doc_5.14.1-2_all.deb
perl-modules_5.14.1-2_all.deb
  to main/p/perl/perl-modules_5.14.1-2_all.deb
perl_5.14.1-2.debian.tar.gz
  to main/p/perl/perl_5.14.1-2.debian.tar.gz
perl_5.14.1-2.dsc
  to main/p/perl/perl_5.14.1-2.dsc
perl_5.14.1-2_i386.deb
  to main/p/perl/perl_5.14.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627821@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 11 Aug 2011 18:28:44 +0100
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.14 libperl-dev perl
Architecture: source all i386
Version: 5.14.1-2
Distribution: experimental
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.14 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 627821 635647 636609 637376
Changes: 
 perl (5.14.1-2) experimental; urgency=low
 .
   * Promote libclass-isa-perl and libswitch-perl from Recommends to
     Depends, to improve partial upgrades from squeeze to wheezy
     (see: #629472)
   * Demote libpod-plainer-perl from Recommends to Suggests, based on
     analysis of its usage in Debian (see: #629472)
   * Skip a crashing test case in t/op/threads.t on GNU/kFreeBSD
     (see: #628493, thanks Niko)
   * Apply patch from Niko documenting the correct use of CCFLAGS in
     ExtUtils::MakeMaker (see: #628522)
   * Use a socket timeout on GNU/kFreeBSD to catch ICMP port unreachable
     messages (thanks, Niko) (Closes: #627821)
   * Fix decode_xs n-byte heap-overflow security bug in Unicode.xs
     (Closes: #637376)
   * Improve general GNU hints, fixing build failures on GNU/Hurd. Patch by
     Pino Toscano. (Closes: #636609)
   * Merge 5.12.4-3 and 5.12.4-4 from unstable
   * Fix lintian error by build-depending on procps [!hurd-any] rather
     than procps | hurd (and adjust existing [!hurd-i386] to
     [!hurd-any]) (Closes: #635647)
Checksums-Sha1: 
 b5994cbb4ec01e2f2bfe8270902ea43079c27699 1419 perl_5.14.1-2.dsc
 23ee15c1502aa6324a1ee6ca69068d0b0ce62808 117035 perl_5.14.1-2.debian.tar.gz
 8742d9b38c485ac92082dc9b713d939730bd06fe 71658 libcgi-fast-perl_5.14.1-2_all.deb
 3ce67dc300f1c5e6b0df12c8df0ce9b0547dd40c 8154512 perl-doc_5.14.1-2_all.deb
 f7725d0c506ffb948e013f03c920da76c68d4fbb 3437340 perl-modules_5.14.1-2_all.deb
 cc8daa659839dd92cdcdb79683089be0fde250ae 1481378 perl-base_5.14.1-2_i386.deb
 6138f9efb830278e837a39cfcab92f2136f0a014 7755696 perl-debug_5.14.1-2_i386.deb
 92dc2f4caa73c633e75e1b2d8744c143dd85d3ca 724676 libperl5.14_5.14.1-2_i386.deb
 260240275ca132ce2be8e6f3bc963e71f74f178f 2678000 libperl-dev_5.14.1-2_i386.deb
 b27f6ca2a53fd9d4886b5edd2c97e698a32018fc 3696886 perl_5.14.1-2_i386.deb
Checksums-Sha256: 
 066d08d81dae467791f34a0aaca86fee16b567dd914ea9be6236b04fc1792986 1419 perl_5.14.1-2.dsc
 53f801c6e110687673f4a84d633f1705044800df7e008a00904f65e13588e602 117035 perl_5.14.1-2.debian.tar.gz
 3536157dc9bf85ac59152d21f8bda05ba792325fda9afe2f73c3f41532ce2730 71658 libcgi-fast-perl_5.14.1-2_all.deb
 e41993d38f0cd747503aa97ea1a7a3a5eb7c8d8dc0405ea03de9d7432bb5c8d8 8154512 perl-doc_5.14.1-2_all.deb
 91d5f9f8191ad3993e02bae70aadfefb7acfee4ed4ba772a225ae188b517a6fc 3437340 perl-modules_5.14.1-2_all.deb
 ff3dcaf044030b2d4b2eda1b43958fcf05000bd85afd415c24253b6e80299fc2 1481378 perl-base_5.14.1-2_i386.deb
 8e648a76ef20f1ec6ff6ba6fe6966fbb3386883eccc2ebc113173a694b056850 7755696 perl-debug_5.14.1-2_i386.deb
 eb65926365d24e7060ad810b5dae04bd0aaa8d414f2e99ac307563771f6d33ab 724676 libperl5.14_5.14.1-2_i386.deb
 630d794ff7a8abd0a9edfc9482bc8ad8e3a8f704253e21cf18cda44dc1db8f8b 2678000 libperl-dev_5.14.1-2_i386.deb
 44770a0fd600feb16aff04cb1f255bff793a8f4820679f846d02cb599f288d92 3696886 perl_5.14.1-2_i386.deb
Files: 
 7fd590ae59dc6d1f9445408ee0408687 1419 perl standard perl_5.14.1-2.dsc
 97f74e154808deba8722696ebf44192a 117035 perl standard perl_5.14.1-2.debian.tar.gz
 b60b86f3f9e7eacab112fa19775753db 71658 perl optional libcgi-fast-perl_5.14.1-2_all.deb
 f2e66fff83a0c6f524e166eb62bfec08 8154512 doc optional perl-doc_5.14.1-2_all.deb
 1a4d48f26cc359f75fff6157e671e1db 3437340 perl standard perl-modules_5.14.1-2_all.deb
 fca1ece69a8e0617e40716dee63da131 1481378 perl required perl-base_5.14.1-2_i386.deb
 8d990e80135e76eb32d788c94094cda1 7755696 debug extra perl-debug_5.14.1-2_i386.deb
 2c61360619b07a07d221de1bddc216c4 724676 libs optional libperl5.14_5.14.1-2_i386.deb
 0f613dd41d7f613d48a00fcced4eee47 2678000 libdevel optional libperl-dev_5.14.1-2_i386.deb
 ad58070e9e793a2180a8df866839c645 3696886 perl standard perl_5.14.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFORCFMYzuFKFF44qURAo0lAJ9n+ZmoK3hjHiSsq5RG30bu/G1RdwCdHMTV
KjQYVYcU30XRwVPcDvTIjpI=
=Yhja
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Sep 2011 07:30:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:25:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.